Bug 1629793 - python-wxpython4: Remove (sub)packages from Fedora 32+: python2-wxpython4, python2-wxpython4-media, python2-wxpython4-webview
Summary: python-wxpython4: Remove (sub)packages from Fedora 32+: python2-wxpython4, py...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-wxpython4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL F31_PY2REMOVAL 1735313
TreeView+ depends on / blocked
 
Reported: 2018-09-17 13:04 UTC by Miro Hrončok
Modified: 2019-09-17 02:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 02:31:44 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-17 13:04:40 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-wxpython4 were marked for removal:

 * python2-wxpython4
 * python2-wxpython4-media
 * python2-wxpython4-webview

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Scott Talbert 2018-09-17 13:15:11 UTC
While it's probably true that no Fedora package depends on these packages, they are useful for developers when porting from wxPython 3 (Python 2) to wxPython 4 (Python 3) as developers can first port to wxPython 4 (Python 2) as a first step, then worry about porting to Python 3.  Perhaps we can hold onto these until we get most wxPython 3 packages ported to wxPython 4 (or decide to remove them)?

Comment 2 Miro Hrončok 2018-09-17 13:21:02 UTC
I agree. Do you have tracker for that we can block this on?

Comment 3 Scott Talbert 2018-09-17 13:56:11 UTC
(In reply to Miro Hrončok from comment #2)
> I agree. Do you have tracker for that we can block this on?

Not yet, but I will try to set one up.

Comment 4 Miro Hrončok 2018-10-12 09:46:41 UTC
Zbyszek, careful here, see the comments above.

Comment 5 Miro Hrončok 2019-02-04 10:33:31 UTC
python2-wxpython4 is now being used by grass.

Comment 6 Scott Talbert 2019-02-04 14:03:07 UTC
(In reply to Miro Hrončok from comment #5)
> python2-wxpython4 is now being used by grass.

Doh!  How did that happen.  :-)

Comment 7 Lumír Balhar 2019-09-15 14:09:02 UTC
I'd like to open this bug instead of creating a new one.

python2-wxpython4-media and python2-wxpython4-webview are both marked as leaf packages and can be removed from rawhide. Do you think that after a year, they are still useful for porting from wxpython 3?

python2-wxpython4 has to stay in rawhide until we resolve the situation with grass package so we can block this bug by that.

What do you think about it?

Comment 8 Lumír Balhar 2019-09-15 14:14:31 UTC
And it seems that the latest build of grass does not depend on Python 2 anymore which will make python2-wxpython4 a leaf package very soon.

Comment 9 Miro Hrončok 2019-09-15 21:36:53 UTC
It is a leaf. My proposal is to get rid of the Python 2 bits.

Comment 10 Scott Talbert 2019-09-16 00:47:40 UTC
Yes, I was thinking about doing this soon anyway, as it will make wxPython a lot faster to build, and this was not as useful as I was expecting for porting.  I'll take care of it.


Note You need to log in before you can comment on or make changes to this bug.